GET /channels/{channel_id}/videos

vimeo.com

Summary: Get all the videos in a channel
Operation ID: get_channel_videos
Auth: unknown

Parameters (9)

channel_id (number, path, required)

The ID of the channel.

containing_uri (string, query, optional)

The page that contains the video URI.

direction (string, query, optional)

The sort direction of the results.

Constraints: {'enum': ['asc', 'desc']}

filter (string, query, optional)

The attribute by which to filter the results.

Constraints: {'enum': ['embeddable']}

filter_embeddable (boolean, query, optional)

Whether to filter the results by embeddable videos (`true`) or non-embeddable videos (`false`). Required only if **filter** is `embeddable`.

page (number, query, optional)

The page number of the results to show.

per_page (number, query, optional)

The number of items to show on each page of results, up to a maximum of 100.

query (string, query, optional)

The search query to use to filter the results.

sort (string, query, optional)

The way to sort the results.

Constraints: {'enum': ['added', 'alphabetical', 'comments', 'date', 'default', 'duration', 'likes', 'manual', 'modified_time', 'plays']}

No probe data for this endpoint yet.